Puppy Linux Discussion Forum Forum Index Puppy Linux Discussion Forum
Puppy HOME page : puppylinux.com
"THE" alternative forum : puppylinux.info
 
 FAQFAQ   SearchSearch   MemberlistMemberlist   UsergroupsUsergroups   RegisterRegister 
 ProfileProfile   Log in to check your private messagesLog in to check your private messages   Log inLog in 

The time now is Mon 01 Sep 2014, 04:57
All times are UTC - 4
 Forum index » House Training » Users ( For the regulars ) » Pour les francophones
besion d'aide pour installer le logiciel sankore
Moderators: Béèm, darkerror05
Post new topic   Reply to topic View previous topic :: View next topic
Page 1 of 2 [19 Posts]   Goto page: 1, 2 Next
Author Message
syl2000

Joined: 02 Feb 2010
Posts: 4

PostPosted: Thu 30 Dec 2010, 13:48    Post subject:  besion d'aide pour installer le logiciel sankore  

bonjour

je cherche a installer le logiciel sankore ( tableau blanc interactif) sous une toutou 4.3.1( asri education)


j'ai telecharge un fichier sur le site abuledu https://redmine.ryxeo.com/projects/leterrier-sankore/files

voila mon pb:
./Sankore\ 3.1
./Sankore 3.1: error while loading shared libraries: libQtWebKit.so.4: cannot open shared object file: No such file or directory
#

je comprend qu'il me manque une lib mais je ne sais pas ou la telecharger


merci
Back to top
View user's profile Send private message 
vezuve


Joined: 24 Jan 2008
Posts: 1289

PostPosted: Thu 30 Dec 2010, 14:58    Post subject:  

Hello,
Pour libQtWebKit.so.4 tu peux essayer ce qui précède.
Dans ma signature il y a:
  • le lien de recherche identique a celui de sea monkey
  • le wika qui permet de trouver des information et des lien.
Le toutou n'est pas équipé pour la compilation, il faut installer le devx, voir le wika pour ça.
Tu peux aussi voir avec les paquets .deb, 1 clic dessus et ça s'installe tout seul, mais attention comme pour les paquet .PET, il peut manquer une bibliothèque ou autre, rien n'est parfait dans ce monde.


@+

_________________
Recherche
sur PUPPY anglai + souven
PUPPY wikka tou sur tou anglai
Back to top
View user's profile Send private message 
ASRI éducation


Joined: 09 May 2009
Posts: 2417
Location: France

PostPosted: Thu 30 Dec 2010, 20:49    Post subject:  

Pour libQtWebKit.so.4, j'ai essayé qt-4.6.3-lite.pet disponible sur cette page
http://puppylinux.org/wikka/Qt

Mais d'autres lib sont manquantes.

Je te laisse tester.
Back to top
View user's profile Send private message Visit poster's website 
syl2000

Joined: 02 Feb 2010
Posts: 4

PostPosted: Fri 31 Dec 2010, 11:21    Post subject:  

ASRI éducation wrote:
Pour libQtWebKit.so.4, j'ai essayé qt-4.6.3-lite.pet disponible sur cette page
http://puppylinux.org/wikka/Qt

Mais d'autres lib sont manquantes.

Je te laisse tester.


voici la suite

# ./Sankore\ 3.1
./Sankore 3.1: /usr/lib/libcrypto.so.0.9.8: no version information available (required by ./Sankore 3.1)
./Sankore 3.1: /usr/lib/libstdc++.so.6: version `GLIBCXX_3.4.11' not found (required by ./Sankore 3.1)


ibcrypto.so.0.9.8 et ibstdc++.so.6 sont bien dans mon/usr/lib

une idee?
Back to top
View user's profile Send private message 
rezouss

Joined: 13 Jan 2010
Posts: 25

PostPosted: Sun 16 Jan 2011, 10:48    Post subject:  

Bonjour,
sankoré marche sur puppy 511
ici
http://forum.ubuntu-fr.org/viewtopic.php?id=432852

ils disent qu'il faut la version 4.7 de qt.
le fichier qt-4.7.1.sfs est disponible sur le lien proposé par asri education
http://puppeee.com/files/sfs/qt-4.7.1.sfs.

sankoré est fait pour ubuntu 10.10 qui utilise gclib 2.12 (je crois). chez moi sur toutou 431 sankore me reclame gclib 2.10 et toutou 431 n'a que gclib 2.6
et ici http://puppylinux.org/wikka/glibc il est dit que l'on ne peut pas installer une version supérieure sinon ça casse le système et qu'il faut donc une version de puppy où la gclib 2.10 est installée. En l'occurence puppy 5.

Effectivement chez moi ça marche.
Si quelqu'un sait comment installer gclib 2.10 sur la 431 sans rien casser. cela pourrait régler le problème.

cordialement

Rezouss
Back to top
View user's profile Send private message 
rezouss

Joined: 13 Jan 2010
Posts: 25

PostPosted: Sun 16 Jan 2011, 16:14    Post subject:  

bonsoir,

Bon j'ai réussi à faire tourner sankoré sur la toutou 431.

J'ai installé ce .deb initialement pour squeeze

[http://ftp.de.debian.org/debian/pool/main/g/gcc-4.4/libstdc++6_4.4.5-8_i386.deb

puis celui-ci

http://packages.debian.org/fr/squeeze/i386/libc6/download et ça fonctionne. (En plus du sfs du post précédent)

Toutou n'a pas l'air instable pour autant et je n'ai pas vérifié si ça a cassé quoi que ce soit.

L'erreur concernant /usr/lib/libcrypto.so.0.9.8 n'empêche pas le logiciel de fonctionner.
Au pire ce . deb
http://security.debian.org/debian-security/pool/updates/main/o/openssl/libssl0.9.8_0.9.8g-15+lenny11_i386.deb résout le problème.

cordialement

rezouss
Back to top
View user's profile Send private message 
ASRI éducation


Joined: 09 May 2009
Posts: 2417
Location: France

PostPosted: Fri 06 May 2011, 11:12    Post subject:  

@ rezouss
La petite bande d'ASRI Edu teste actuellement Sankoré, si la discussion t'intéresse.
http://asri.edu.free.fr/thread.php?lng=fr&pg=2924&cat=4
Cordialement,
Back to top
View user's profile Send private message Visit poster's website 
boxR


Joined: 13 Aug 2011
Posts: 239
Location: France

PostPosted: Thu 29 Sep 2011, 18:24    Post subject:  

sankore_3.1_lucid_ryxeo20110430_i386.deb https://redmine.ryxeo.com/projects/leterrier-sankore/files

semble fonctionner correctement sur Toutou 4.3.1 avec :
qt_lib-4.7.2-20110311.pet http://puppylinux.org/wikka/Qt

en plus des liens déjà données vers :
libstdc++6_4.4.5-8_i386.deb
libc6_2.11.2-10_i386.deb
libssl0.9.8_0.9.8g-15+lenny11_i386.deb


... mise à part "Show Desktop"
Back to top
View user's profile Send private message 
boxR


Joined: 13 Aug 2011
Posts: 239
Location: France

PostPosted: Wed 19 Oct 2011, 15:23    Post subject:  

Oui, enfin, quand je dis que ça marche... Confused on peut :
- utiliser le clavier virtuel
- importer un fichier ubz
- écrire par-dessus
- manipuler les objets (barre d'outils "Stylets" fonctionnelle)

Mais par contre, je n'ai pas trouvé le moyen de faire fonctionner :
- la visualisation des pages dans la barre d'aperçu à gauche
- les applications et les dossiers (images and co) dans la barre de droite
- la visualisation des pages dans "Documents"

Bref, pas au point.
Back to top
View user's profile Send private message 
ASRI éducation


Joined: 09 May 2009
Posts: 2417
Location: France

PostPosted: Wed 19 Oct 2011, 15:48    Post subject:  

Pas simple Sankoré, pourtant l'application est une réussite (au moins sous Windows).
Ne désespérons pas...
Comme ils disent chez Framasoft "La route est longue, mais la voie est libre".
Wink
Back to top
View user's profile Send private message Visit poster's website 
boxR


Joined: 13 Aug 2011
Posts: 239
Location: France

PostPosted: Wed 19 Oct 2011, 17:12    Post subject:  

En attendant, on peut se consoler en buvant un coup (avec modération, hein!!!) Wink
wine + sankore 3.1.exe + deux fichiers DLL manquants ci-joints à placer dans :
/root/.wine/drive_c/windows/system32

à noter pour l'utilisation de Sankore que le répertoire utilisé pour le stockage des images à importer au tableau est :
/root/Sankore (on peut créer des sous-répertoires)


[edit] WMASF.DLL et WMVCore.DLL retirés [/edit]
uniboard.png
 Description   
 Filesize   17.25 KB
 Viewed   797 Time(s)

uniboard.png


Last edited by boxR on Tue 03 Jan 2012, 18:42; edited 2 times in total
Back to top
View user's profile Send private message 
ASRI éducation


Joined: 09 May 2009
Posts: 2417
Location: France

PostPosted: Wed 19 Oct 2011, 17:27    Post subject:  

Je crois que tu as raison.
Nous pouvons même préparer un paquet intégrant les dll et une entrée menu.
Le paquet sera compatible avec de nombreuses versions de Puppy puisque c'est Wine qui sera déterminant.
Back to top
View user's profile Send private message Visit poster's website 
ASRI éducation


Joined: 09 May 2009
Posts: 2417
Location: France

PostPosted: Sat 22 Oct 2011, 10:55    Post subject:  

Message édité le 03 janvier 2012

Afin de faciliter les tests, j'ai préparé un paquet pour la version Windows de Sankore-3.1.
Le paquet intègre les dll proposées par boxR, une entrée menu et une installation automatique du .exe

Mais il y a un gros problème : les dll ne sont pas libres ! Crying or Very sad

Cordialement,[/u]

Last edited by ASRI éducation on Tue 03 Jan 2012, 18:19; edited 2 times in total
Back to top
View user's profile Send private message Visit poster's website 
ASRI éducation


Joined: 09 May 2009
Posts: 2417
Location: France

PostPosted: Tue 03 Jan 2012, 17:23    Post subject:  

Début décembre 2011, une version Open-Sankoré-1.3 a été proposée.

Je vous propose aujourd'hui un paquet à tester avec ASRI Edu 300 (base Lucid528).
=> Open-Sankore.1.30.00_asri20120103_test (application principale)
=> Open-Sankore.1.30.00_asri20120103_test_dependances (librairies phonon + ssl)

Globalement, l'application fonctionne (je n'ai pas tout tester).
Néanmoins, des erreurs persistent : lorsque je suis sur le bureau d'ASRI Edu, je ne peux pas utiliser les outils crayon/gomme/surligneur/pointeur.

Malgré ces petits dysfonctionnements, je vous encourage à tester Open-Sankoré-1.3.

Vous pouvez évidemment activer l'application Sankoré via le Menu principal d'ASRI Edu > Utilitaires > Application TBI : Sankoré.
Mais, si vous souhaitez analyser les messages d'erreurs et m'aider à finaliser le paquet, je vous propose d'activer l'application via un terminal en écrivant "open-sankore".

Téléchargement des paquets Open-Sankoré et de l'ensemble des fichiers utilisés pour créer ces paquets => http://asri.la-super-boite.fr/z_tests_divers/sankore/open-sankore-1.3/

Fichiers sources (site Sankoré) => http://open-sankore.org/fr/telechargement#showAllOS

Cordialement,
Back to top
View user's profile Send private message Visit poster's website 
Médor


Joined: 26 May 2011
Posts: 1676

PostPosted: Tue 03 Jan 2012, 18:13    Post subject:  

Bonsoir,

Les dll : WMASF.DLL et WMVCore.DLL sont sous copyright Microsoft®

Le paquet doit être retiré du forum !

Cordialement,
Médor.
Back to top
View user's profile Send private message 
Display posts from previous:   Sort by:   
Page 1 of 2 [19 Posts]   Goto page: 1, 2 Next
Post new topic   Reply to topic View previous topic :: View next topic
 Forum index » House Training » Users ( For the regulars ) » Pour les francophones
Jump to:  

You cannot post new topics in this forum
You cannot reply to topics in this forum
You cannot edit your posts in this forum
You cannot delete your posts in this forum
You cannot vote in polls in this forum
You cannot attach files in this forum
You can download files in this forum


Powered by phpBB © 2001, 2005 phpBB Group
[ Time: 0.0827s ][ Queries: 13 (0.0052s) ][ GZIP on ]